Subject: bug#53202: [External] : Re: bug#53202: 27.2; Shift + function key not recognized

From: Drew Adams <[email-masked]>
Date: Wed, 12 Jan 2022 16:00:18 +0000

> I'm not aware of any such thing for my system, but
> that doesn't mean there's no such thing going on.
> 
> I tried `w32-register-hot-key', but it had no effect
> for S-F10.

I was wrong.  I have a program, Snag-It (which I've
never used), which was grabbing F10.  I turned that
off, and the problem disappeared.

Feel free to close this bug.  But maybe the Emacs
manual could mention somewhere that if `C-h k'
followed by pressing some key doesn't seem to do
anything - doesn't recognize that the key was
pressed, then perhaps some other app is grabbing
that key, so that Emacs can't use it.

The manual has node `Windows Keyboard', but that's
just for MS Windows (and it doesn't prevent some
other app from preventing Emacs from using a key).
Maybe some more general indication of this "problem"
would be helpful.